# eric3.Wizards.PyRegExpWizard.PyRegExpWizardRepeatDialog

Module implementing a dialog for entering repeat counts.

### Classes

PyRegExpWizardRepeatDialog | Class implementing a dialog for entering repeat counts.

### Functions

None

## PyRegExpWizardRepeatDialog

Class implementing a dialog for entering repeat counts.

### Derived from

PyRegExpWizardRepeatForm

### Methods

PyRegExpWizardRepeatDialog | Constructor
getRepeat | Public method to retrieve the dialog's result.

### PyRegExpWizardRepeatDialog (Constructor)

PyRegExpWizardRepeatDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### PyRegExpWizardRepeatDialog.getRepeat

getRepeat()

Public method to retrieve the dialog's result.

Returns:
  ready formatted repeat string (string)

Up